<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Good Plugins 1.0 Plugins Reference Manual: alpha</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Good Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-plugins-good Elements">
<link rel="prev" href="gst-plugins-good-plugins-agingtv.html" title="agingtv">
<link rel="next" href="gst-plugins-good-plugins-alphacolor.html" title="alphacolor">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-alpha.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-alpha.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_properties"> <span class="dim">|</span> 
                  <a href="#gst-plugins-good-plugins-alpha.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-good-plugins-agingtv.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-good-plugins-alphacolor.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-good-plugins-alpha"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-plugins-good-plugins-alpha.top_of_page"></a>alpha</span></h2>
<p>alpha — Adds an alpha channel to video - uniform or via chroma-keying</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.properties"></a><h2>Properties</h2>
<div class="informaltable"><table border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--alpha" title="The “alpha” property">alpha</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--angle" title="The “angle” property">angle</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlphaMethod" title="enum GstAlphaMethod"><span class="type">GstAlphaMethod</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--method" title="The “method” property">method</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--noise-level" title="The “noise-level” property">noise-level</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--target-b" title="The “target-b” property">target-b</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--target-g" title="The “target-g” property">target-g</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--target-r" title="The “target-r” property">target-r</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--black-sensitivity" title="The “black-sensitivity” property">black-sensitivity</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--white-sensitivity" title="The “white-sensitivity” property">white-sensitivity</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></td>
<td class="property_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha--prefer-passthrough" title="The “prefer-passthrough” property">prefer-passthrough</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<a name="GstAlpha"></a><div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlpha-struct" title="struct GstAlpha">GstAlpha</a></td>
</tr>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlphaMethod" title="enum GstAlphaMethod">GstAlphaMethod</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GObject">GObject</a>
    <span class="lineart">╰──</span> <a href="http://library.gnome.org/devel/gobject/unstable/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstObject.html">GstObject</a>
            <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstElement.html">GstElement</a>
                <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer-libs/html/GstBaseTransform.html">GstBaseTransform</a>
                    <span class="lineart">╰──</span> <a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gst-plugins-base-libs/html/gst-plugins-base-libs-gstvideofilter.html#GstVideoFilter">GstVideoFilter</a>
                        <span class="lineart">╰──</span> GstAlpha
</pre>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.description"></a><h2>Description</h2>
<p>The alpha element adds an alpha channel to a video stream. The values
of the alpha channel can be either be set to a constant or can be
dynamically calculated via chroma keying, e.g. blue can be set as
the transparent color.</p>
<p>Sample pipeline:</p>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1
2
3</pre></td>
        <td class="listing_code"><pre class="programlisting">gst<span class="gtkdoc opt">-</span>launch<span class="gtkdoc opt">-</span><span class="number">1.0</span> videotestsrc pattern<span class="gtkdoc opt">=</span>smpte75 <span class="gtkdoc opt">!</span> alpha method<span class="gtkdoc opt">=</span>green <span class="gtkdoc opt">!</span> \
  videomixer name<span class="gtkdoc opt">=</span>mixer <span class="gtkdoc opt">!</span> videoconvert <span class="gtkdoc opt">!</span> autovideosink     \
  videotestsrc pattern<span class="gtkdoc opt">=</span>snow <span class="gtkdoc opt">!</span> mixer<span class="gtkdoc opt">.</span></pre></td>
      </tr>
    </tbody>
  </table>
</div>

<p>
with green as the transparent color and mixes the output with
a snow video stream.</p>
<div class="refsynopsisdiv">
<h2>Synopsis</h2>
<div class="refsect2">
<a name="id-1.2.7.7.5.1.1"></a><h3>Element Information</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">plugin</span></p></td>
<td>
            <a class="link" href="gst-plugins-good-plugins-plugin-alpha.html#plugin-alpha">alpha</a>
          </td>
</tr>
<tr>
<td><p><span class="term">author</span></p></td>
<td>Wim Taymans &lt;wim.taymans@gmail.com&gt;
Edward Hervey &lt;edward.hervey@collabora.co.uk&gt;
Jan Schmidt &lt;thaytan@noraisin.net&gt;</td>
</tr>
<tr>
<td><p><span class="term">class</span></p></td>
<td>Filter/Effect/Video</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="id-1.2.7.7.5.1.2"></a><h3>Element Pads</h3>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>sink</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, BGRx, xBGR, RGBx, RGB, BGR, Y42B, YUY2, YVYU, UYVY, I420, YV12, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]</td>
</tr>
</tbody>
</table></div>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">name</span></p></td>
<td>src</td>
</tr>
<tr>
<td><p><span class="term">direction</span></p></td>
<td>source</td>
</tr>
<tr>
<td><p><span class="term">presence</span></p></td>
<td>always</td>
</tr>
<tr>
<td><p><span class="term">details</span></p></td>
<td>video/x-raw, format=(string){ AYUV, ARGB, BGRA, ABGR, RGBA, Y444, xRGB, BGRx, xBGR, RGBx, RGB, BGR, Y42B, YUY2, YVYU, UYVY, I420, YV12, Y41B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.functions_details"></a><h2>Functions</h2>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstAlpha-struct"></a><h3>struct GstAlpha</h3>
<pre class="programlisting">struct GstAlpha;</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlphaMethod"></a><h3>enum GstAlphaMethod</h3>
<div class="refsect3">
<a name="id-1.2.7.9.3.3"></a><h4>Members</h4>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="ALPHA-METHOD-SET:CAPS"></a>ALPHA_METHOD_SET</p></td>
<td class="enum_member_description">
<p>Set/adjust alpha channel</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="ALPHA-METHOD-GREEN:CAPS"></a>ALPHA_METHOD_GREEN</p></td>
<td class="enum_member_description">
<p>Chroma Key green</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="ALPHA-METHOD-BLUE:CAPS"></a>ALPHA_METHOD_BLUE</p></td>
<td class="enum_member_description">
<p>Chroma Key blue</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="ALPHA-METHOD-CUSTOM:CAPS"></a>ALPHA_METHOD_CUSTOM</p></td>
<td class="enum_member_description">
<p>Chroma Key on target_r/g/b</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-plugins-good-plugins-alpha.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GstAlpha--alpha"></a><h3>The <code class="literal">“alpha”</code> property</h3>
<pre class="programlisting">  “alpha”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>The value for the alpha channel.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,1]</p>
<p>Default value: 1</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--angle"></a><h3>The <code class="literal">“angle”</code> property</h3>
<pre class="programlisting">  “angle”                    <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></pre>
<p>Size of the colorcube to change.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,90]</p>
<p>Default value: 20</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--method"></a><h3>The <code class="literal">“method”</code> property</h3>
<pre class="programlisting">  “method”                   <a class="link" href="gst-plugins-good-plugins-alpha.html#GstAlphaMethod" title="enum GstAlphaMethod"><span class="type">GstAlphaMethod</span></a></pre>
<p>How the alpha channels should be created.</p>
<p>Flags: Read / Write</p>
<p>Default value: Set/adjust alpha channel</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--noise-level"></a><h3>The <code class="literal">“noise-level”</code> property</h3>
<pre class="programlisting">  “noise-level”              <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gfloat"><span class="type">gfloat</span></a></pre>
<p>Size of noise radius.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,64]</p>
<p>Default value: 2</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--target-b"></a><h3>The <code class="literal">“target-b”</code> property</h3>
<pre class="programlisting">  “target-b”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The blue color value for custom RGB chroma keying.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &lt;= 255</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--target-g"></a><h3>The <code class="literal">“target-g”</code> property</h3>
<pre class="programlisting">  “target-g”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The green color value for custom RGB chroma keying.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &lt;= 255</p>
<p>Default value: 255</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--target-r"></a><h3>The <code class="literal">“target-r”</code> property</h3>
<pre class="programlisting">  “target-r”                 <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>The red color value for custom RGB chroma keying.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &lt;= 255</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--black-sensitivity"></a><h3>The <code class="literal">“black-sensitivity”</code> property</h3>
<pre class="programlisting">  “black-sensitivity”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Sensitivity to dark colors.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &lt;= 128</p>
<p>Default value: 100</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--white-sensitivity"></a><h3>The <code class="literal">“white-sensitivity”</code> property</h3>
<pre class="programlisting">  “white-sensitivity”        <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#guint"><span class="type">guint</span></a></pre>
<p>Sensitivity to bright colors.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: &lt;= 128</p>
<p>Default value: 100</p>
</div>
<hr>
<div class="refsect2">
<a name="GstAlpha--prefer-passthrough"></a><h3>The <code class="literal">“prefer-passthrough”</code> property</h3>
<pre class="programlisting">  “prefer-passthrough”       <a href="http://library.gnome.org/devel/glib/unstable/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a></pre>
<p>Don't do any processing for alpha=1.0 if possible.</p>
<p>Flags: Read / Write</p>
<p>Default value: FALSE</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>